System 2.0.0.0 4.0.0.0 System.Attribute System.AttributeUsage(System.AttributeTargets.Class, Inherited=false)

To be a default serialization provider, a class must implement the interface and have an empty constructor. The class itself can be internal to the assembly. This class cannot be inherited.

The attribute is placed on a serializer to indicate the class to use as a default provider of that type of serializer.

- Constructor
  2.0.0.0
  4.0.0.0
  To be added.

  Initializes a new instance of the class with the named provider type.

  The name of the serialization provider type.
- Constructor
  2.0.0.0
  4.0.0.0
  To be added.

  Initializes a new instance of the class with the given provider type.

  The of the serialization provider.
- Property
  2.0.0.0
  4.0.0.0
  System.String To be added. To be added.

  Gets the type name of the serialization provider.